Bug 260732 - [NEW PORT] net/pcapy-ng: Python pcap extension
Summary: [NEW PORT] net/pcapy-ng: Python pcap extension
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL:
Keywords: easy, feature
Depends on:
Blocks:
 
Reported: 2021-12-27 15:51 UTC by Michael Muenz
Modified: 2022-03-31 07:37 UTC (History)
4 users (show)

See Also:


Attachments
py-pcapy-ng (1.86 KB, patch)
2021-12-27 15:51 UTC, Michael Muenz
no flags Details | Diff
py-pcapy (1.85 KB, patch)
2022-01-21 12:13 UTC, Michael Muenz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Muenz 2021-12-27 15:51:11 UTC
Created attachment 230459 [details]
py-pcapy-ng

New port as an alternative for pycapy which is currently unmaintained. 

- portlint -A runs fine
- poudriere bulk builds fine pkg
- poudriere testport runs without errors
Comment 1 Michael Muenz 2022-01-19 15:01:00 UTC
Anyone who wants to have look at this? :)
Comment 2 Daniel Engberg freebsd_committer 2022-01-19 16:32:23 UTC
DOS2UNIX isn't actually used?
Comment 3 Michael Muenz 2022-01-21 12:13:29 UTC
Created attachment 231208 [details]
py-pcapy

Removed dos2unix
Comment 4 Michael Muenz 2022-01-21 12:14:30 UTC
Dear Daniel,

Thanks for taking the time, very appreciated! 
Indeed, it seems the author of the forked port removed it so it's not neccessary anymore. Updated the patch.

Michael
Comment 5 Michael Muenz 2022-03-13 06:58:24 UTC
Anyone motivated to take it? It's quite an easy port :)
Comment 6 Mikhail Kasimov 2022-03-19 11:59:38 UTC
Hello!

This port brings fix of OOM for Maltrail port (https://www.freshports.org/security/maltrail) and for os-maltrail plugin in OPNSense Gateway.

Details: https://forum.opnsense.org/index.php?topic=24345.msg133211#msg133211

Will be nice to have pcapy-ng port merged to make people use Maltrail for BSD-line and other BSD-ports, that use pcapy lib.

Thank you!
Comment 7 commit-hook freebsd_committer 2022-03-31 07:36:18 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0f9142697a9a0b9e9547eb2ae8be3b2ce536f400

commit 0f9142697a9a0b9e9547eb2ae8be3b2ce536f400
Author:     Michael Muenz <m.muenz@gmail.com>
AuthorDate: 2022-03-30 12:33:10 +0000
Commit:     Mikael Urankar <mikael@FreeBSD.org>
CommitDate: 2022-03-31 07:33:17 +0000

    net/pcapy-ng: Add new port

    Pcapy is a Python extension module that interfaces with the libpcap packet
    capture library. Pcapy enables Python scripts to capture packets on the network.

    Pcapy is highly effective when used in conjunction with a packet-handling
    package such as Impacket, which is a collection of Python classes for
    constructing and dissecting network packets.

    WWW: https://github.com/CoreSecurity/pcapy
    WWW: http://www.coresecurity.com/corelabs-research/open-source-tools/pcapy

    PR:             260732

 net/Makefile                    |  1 +
 net/py-pcapy-ng/Makefile (new)  | 32 ++++++++++++++++++++++++++++++++
 net/py-pcapy-ng/distinfo (new)  |  3 +++
 net/py-pcapy-ng/pkg-descr (new) |  9 +++++++++
 4 files changed, 45 insertions(+)